---
- name: "[Hyprland] Install"
  kewlfft.aur.aur:
    name:
      - hyprland
      - hyprlock
    state: present

- name: "[Hyprland] Create config folder"
  ansible.builtin.file:
    mode: 0755
    path: "{{ ansible_user_dir }}/.config/hypr"
    state: directory

- name: "[Hyprland] Create screenshot folder"
  ansible.builtin.file:
    mode: 0755
    path: "{{ ansible_user_dir }}/Pictures/Screenshots"
    state: directory

- name: "[Hyprland] Configure"
  ansible.builtin.copy:
    mode: 0755
    src: "./"
    dest: "{{ ansible_user_dir }}/.config/hypr"

- name: "[Hyprland] Configure startup"
  ansible.builtin.template:
    src: startup.conf
    dest: "{{ ansible_user_dir }}/.config/hypr"

- name: "[Hyprland] Configure windowrules"
  ansible.builtin.template:
    src: windowrule.conf
    dest: "{{ ansible_user_dir }}/.config/hypr"
